package projectzombie.items;

import projectzombie.init.Models;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;

public class ItemStonePick extends ItemAbstractTool
{

	@Override
	public int toolPower(ItemStack stack) {
		return 1;
	}

	@Override
	public double toolSpeed(ItemStack stack) {
		return 1.5;
	}

	@Override
	public ItemToolType toolType(ItemStack stack) {
		return ItemToolType.PICK;
	}

	@Override
	protected int getMaxDamage() {
		return 20;
	}

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_STONE_PICK;
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Stone Pick";
	}

}
